Subject: RE: [PWE3] draft-ietf-pwe3-iana-allocation-12.txt LAST CALL

From: "Ash, Gerald R \(Jerry\), ALABS" <[email-masked]>
Date: Mon, 19 Sep 2005 09:09:09 -0500

Stewart,
Luca,

We want to request 2 additional code points, as specified in the IANA
Section 7 of
http://ietf.org/internet-drafts/draft-ietf-avt-hc-over-mpls-protocol-00.
txt.

In particular, the following is requested:

7. IANA Considerations

   As discussed in Section 4.1, Pseudowire Interface Parameter
   Sub-TLV type values need to be specified by IANA for both the
   network control protocol for IPv4, IPCP [RFC1332] and the
   IPv6 NCP, IPV6CP [RFC2472], as follows:

      0x??        Variable Length       IPCP [RFC1332]
      0x??        Variable Length       IPV6CP [RFC2472]

Thanks,
Jerry

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Stewart Bryant
Sent: Monday, September 19, 2005 9:46 AM
To: pwe3
Subject: [PWE3] draft-ietf-pwe3-iana-allocation-12.txt LAST CALL

This is the start of a one week WG last call on

http://www.ietf.org/internet-drafts/draft-ietf-pwe3-iana-allocation-12.t
xt

Last call will end 0900 GMT on Tuesday 27th September 2005.

- Stewart

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Luca Martini <[email-masked]>
Date: Mon, 19 Sep 2005 08:28:54 -0600

Gerry,

Can you actually specify the length of this parameter ?
If you read the iana allocation draft carefully , you'll notice that 
"variable length" is not a choice. This is because of some concerns that 
this sub-tlv could be abused and cause LDP to store large amount of 
information.
I will have a look at the RFC mentioned as well, but I would like to 
point out that the interface parameter Sub-TLV can only be sent once in 
the lifetime of the PW.
( changing the value of it means tearing down the PW , and starting over ).
I put entries in the -13 future version of the iana draft as a placeholder.

Thanks.
Luca

---

From: Danny McPherson <[email-masked]>
Date: Mon, 19 Sep 2005 09:14:09 -0600

>       0x??        Variable Length       IPV6CP [RFC2472]

Folks,
I believe we've reached a point with this document where new
allocations should be specified in independent documents, else
we'll never get this document through the IESG and to RFC status.

Please keep this in mind when reviewing, for everyone's benefit.

Thanks!

-danny

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 19 Sep 2005 17:35:33 +0100

Luca

Please do not create a -13, and do not include
these codepoints in it.

We need to freeze the codepoints in order
to get this draft to RFC.

What I suggest is that we ask you maintain
a text file with the old and new allocations
in, and that we post that on the PWE3 website.
Alternatively, if you prefer, you could
create a new - additional draft and do it
that way.

When the PWE3 IANA draft goes to the IESG for
review, IANA will contact us and we will
explain to them what we are doing and point
them at the expanded list. We may have to
produce a tiny RFC to get the additional
codepoints in the registry, but if that
is the case I am sure we can in the meantime
get them to mark the allocations that
we have made as reserved.

- Stewart

---

From: Luca Martini <[email-masked]>
Date: Mon, 19 Sep 2005 15:12:15 -0600

That's fine.
Jerry, let's finish the e-mail discussion anyway, then all you have to 
do is mention the registry name from the pwe3 IANA draft , and ask for 
allocation from IANA in your draft.

Luca